<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: inc/dynArrayRaiiWrapper.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dynArrayRaiiWrapper.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="dyn_array_raii_wrapper_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**********************************************************************************</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2021 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * This program and the accompanying materials are made available under the</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> **********************************************************************************/</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>decoop {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">template</span>&lt;<span class="keyword">typename</span> T&gt;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">   27</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a> {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a2867fd822f4f2816f57951a8aaf6d020">   29</a></span>&#160;        <span class="keyword">using</span> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a2867fd822f4f2816f57951a8aaf6d020">iterator</a> = T * ;              </div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">   30</a></span>&#160;        <span class="keyword">using</span> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">const_iterator</a> = <span class="keyword">const</span> T*;    </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#aae505d86823ce970f0347b8e66f732e3">DynArrayRAIIWrapper</a>(T* dyn_arr, <span class="keywordtype">size_t</span> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a934da971890063138fbefe63bee73eb2">size</a>);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a00c52a28bfbf3aac0ac786aae78934d2">~DynArrayRAIIWrapper</a>() = <span class="keywordflow">default</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#aae505d86823ce970f0347b8e66f732e3">DynArrayRAIIWrapper</a>(<a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a> <span class="keyword">const</span>&amp; other) = <span class="keyword">delete</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a>&amp; <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#af5c0dac5d642405e58983c5e2f27d602">operator=</a>(<a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a> <span class="keyword">const</span>&amp; other) = <span class="keyword">delete</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#aae505d86823ce970f0347b8e66f732e3">DynArrayRAIIWrapper</a>(<a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a>&amp;&amp; other) = <span class="keywordflow">default</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a>&amp; <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#af5c0dac5d642405e58983c5e2f27d602">operator=</a>(<a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a>&amp;&amp; other) = <span class="keywordflow">default</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keywordtype">size_t</span> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a934da971890063138fbefe63bee73eb2">size</a>() const noexcept;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        T&amp; operator[](<span class="keywordtype">size_t</span> index) noexcept;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        const T&amp; operator[](<span class="keywordtype">size_t</span> index) const noexcept;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a2867fd822f4f2816f57951a8aaf6d020">iterator</a> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6b2bc4f10c2521d9963ca475d9bac82b">begin</a>() noexcept;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">const_iterator</a> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6b2bc4f10c2521d9963ca475d9bac82b">begin</a>() const noexcept;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">const_iterator</a> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6aab66a92c59b017fd6fd72f8ef1e55c">cbegin</a>() const noexcept;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a2867fd822f4f2816f57951a8aaf6d020">iterator</a> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a170440e3e195b645c882a6407cf3ba4e">end</a>() noexcept;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">const_iterator</a> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a170440e3e195b645c882a6407cf3ba4e">end</a>() const noexcept;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">const_iterator</a> <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#ab566b2fade2c9b673713b647909d7e5d">cend</a>() const noexcept;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    private:</div>
<div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a72c5952d647f1b5e93f207ee2deaca8e">  121</a></span>&#160;        std::unique_ptr&lt;T[]&gt; <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a72c5952d647f1b5e93f207ee2deaca8e">begin_</a>;        </div>
<div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a8dc6bf33800567ee955bb95546db8fd1">  122</a></span>&#160;        T* <a class="code" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a8dc6bf33800567ee955bb95546db8fd1">end_</a>;                            </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    };</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;} <span class="comment">//namespace decoop</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="preprocessor">#include &quot;../src/dynArrayRaiiWrapper.cpp&quot;</span></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a8dc6bf33800567ee955bb95546db8fd1"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a8dc6bf33800567ee955bb95546db8fd1">decoop::DynArrayRAIIWrapper::end_</a></div><div class="ttdeci">T * end_</div><div class="ttdoc">Pointer to the element following the last element of the array. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.hpp:122</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a934da971890063138fbefe63bee73eb2"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a934da971890063138fbefe63bee73eb2">decoop::DynArrayRAIIWrapper::size</a></div><div class="ttdeci">size_t size() const noexcept</div><div class="ttdoc">Returns number of elements of the wrapped array. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.cpp:24</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a6b2bc4f10c2521d9963ca475d9bac82b"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6b2bc4f10c2521d9963ca475d9bac82b">decoop::DynArrayRAIIWrapper::begin</a></div><div class="ttdeci">iterator begin() noexcept</div><div class="ttdoc">Returns an iterator to the beginning of the array. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.cpp:39</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a72c5952d647f1b5e93f207ee2deaca8e"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a72c5952d647f1b5e93f207ee2deaca8e">decoop::DynArrayRAIIWrapper::begin_</a></div><div class="ttdeci">std::unique_ptr&lt; T[]&gt; begin_</div><div class="ttdoc">Smart pointer to the beginning of the array. Handles memory management. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.hpp:121</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_ab566b2fade2c9b673713b647909d7e5d"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#ab566b2fade2c9b673713b647909d7e5d">decoop::DynArrayRAIIWrapper::cend</a></div><div class="ttdeci">const_iterator cend() const noexcept</div><div class="ttdoc">Returns a const_iterator to the element following the last element of the array. Accessing it results...</div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.cpp:64</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a954de3f65f5ea2e6eccc4c8aa3726456"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">decoop::DynArrayRAIIWrapper&lt; GRBConstr &gt;::const_iterator</a></div><div class="ttdeci">const GRBConstr * const_iterator</div><div class="ttdoc">Define const_iterator. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.hpp:30</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a2867fd822f4f2816f57951a8aaf6d020"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a2867fd822f4f2816f57951a8aaf6d020">decoop::DynArrayRAIIWrapper&lt; GRBConstr &gt;::iterator</a></div><div class="ttdeci">GRBConstr * iterator</div><div class="ttdoc">Define iterator. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.hpp:29</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_af5c0dac5d642405e58983c5e2f27d602"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#af5c0dac5d642405e58983c5e2f27d602">decoop::DynArrayRAIIWrapper::operator=</a></div><div class="ttdeci">DynArrayRAIIWrapper &amp; operator=(DynArrayRAIIWrapper const &amp;other)=delete</div><div class="ttdoc">Copy assignment operator is deleted. </div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a6aab66a92c59b017fd6fd72f8ef1e55c"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6aab66a92c59b017fd6fd72f8ef1e55c">decoop::DynArrayRAIIWrapper::cbegin</a></div><div class="ttdeci">const_iterator cbegin() const noexcept</div><div class="ttdoc">Returns a const_iterator to the beginning of the array. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.cpp:49</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_aae505d86823ce970f0347b8e66f732e3"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#aae505d86823ce970f0347b8e66f732e3">decoop::DynArrayRAIIWrapper::DynArrayRAIIWrapper</a></div><div class="ttdeci">DynArrayRAIIWrapper(T *dyn_arr, size_t size)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.cpp:21</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a00c52a28bfbf3aac0ac786aae78934d2"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a00c52a28bfbf3aac0ac786aae78934d2">decoop::DynArrayRAIIWrapper::~DynArrayRAIIWrapper</a></div><div class="ttdeci">~DynArrayRAIIWrapper()=default</div><div class="ttdoc">Default destructor. </div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html_a170440e3e195b645c882a6407cf3ba4e"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a170440e3e195b645c882a6407cf3ba4e">decoop::DynArrayRAIIWrapper::end</a></div><div class="ttdeci">iterator end() noexcept</div><div class="ttdoc">Returns an iterator to the element following the last element of the array. Accessing it results in u...</div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.cpp:54</div></div>
<div class="ttc" id="classdecoop_1_1_dyn_array_r_a_i_i_wrapper_html"><div class="ttname"><a href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper</a></div><div class="ttdoc">Templated wrapper class to provide iterators and element access to a dynamic array, as well as simpler memory management. </div><div class="ttdef"><b>Definition:</b> dynArrayRaiiWrapper.hpp:27</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
